    Program c06dbfe

!     C06DBF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: c06dbf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: n = 4, nout = 6
      Real (Kind=nag_wp), Parameter    :: c(n) = (/1.0E0_nag_wp,1.0E0_nag_wp,  &
                                          0.5E0_nag_wp,0.25E0_nag_wp/)
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: calc, x
      Integer                          :: s
!     .. Executable Statements ..
      Write (nout,*) 'C06DBF Example Program Results'

      x = 0.5E0_nag_wp
      s = 1

      calc = c06dbf(x,c,n,s)

      Write (nout,*)
      Write (nout,99999) 'Sum =', calc

99999 Format (1X,A,F8.4)
    End Program c06dbfe
